Package com.germinus.easyconf

# Class DigesterRulesNotFoundException

NestableRuntimeException
com.germinus.easyconf.ConfigurationException
com.germinus.easyconf.DigesterRulesNotFoundException

public class DigesterRulesNotFoundException extends ConfigurationException
Thrown when an XML configuration file for a requested component exists but there is not a file which defines de digester rules which should be used to parse it

Version:
  $Revision: 1.2 $
Author:
  Jorge Ferrer

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`digesterRulesFileName`

## Constructor Summary

Constructors
Constructor
Description
`DigesterRulesNotFoundException(String componentName, String digesterRulesFileName)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getDigesterRulesFileName()`
`String`
`getMessage()`

### Methods inherited from class com.germinus.easyconf.ConfigurationException

`getComponentName`

## Field Details

### digesterRulesFileName

private String digesterRulesFileName

## Constructor Details

### DigesterRulesNotFoundException

public DigesterRulesNotFoundException(String componentName, String digesterRulesFileName)

## Method Details

### getDigesterRulesFileName

public String getDigesterRulesFileName()

### getMessage

public String getMessage()

Overrides:
  `getMessage` in class `ConfigurationException`